Bug 827831 - (CVE-2012-1945) CVE-2012-1945 Mozilla: Information disclosure though Windows file shares and shortcut files (MFSA 2012-37)
CVE-2012-1945 Mozilla: Information disclosure though Windows file shares and ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120605,repor...
: Security
Depends On:
Blocks: 816119
  Show dependency treegraph
 
Reported: 2012-06-03 04:39 EDT by Huzaifa S. Sidhpurwala
Modified: 2012-06-06 20:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 20:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-06-03 04:39:47 EDT
Security researcher Paul Stone reported an attack where an HTML page hosted on a Windows share and then loaded could then load Windows shortcut files (.lnk) in the same share. These shortcut files could then link to arbitrary locations on the local file system of the individual loading the HTML page. That page could show the contents of these linked files or directories from the local file system in an iframe, causing information disclosure.

This issue could potentially affect Linux machines with samba shares enabled.

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-37.html
Comment 1 Murray McAllister 2012-06-04 23:28:11 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue.
Upstream acknowledges security researcher Paul Stone as the original
reporter.
Comment 2 errata-xmlrpc 2012-06-05 16:59:31 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0710 https://rhn.redhat.com/errata/RHSA-2012-0710.html
Comment 3 errata-xmlrpc 2012-06-06 19:51:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:0715 https://rhn.redhat.com/errata/RHSA-2012-0715.html

Note You need to log in before you can comment on or make changes to this bug.